Bug 660314 - [abrt] iverilog-0.9.20100928-1.fc14: Process /usr/lib/ivl/ivl was killed by signal 11 (SIGSEGV)
Summary: [abrt] iverilog-0.9.20100928-1.fc14: Process /usr/lib/ivl/ivl was killed by s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iverilog
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ee85e044f0e20f0c9ad745916bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 13:38 UTC by Robert Zhang
Modified: 2011-06-21 19:28 UTC (History)
1 user (show)

Fixed In Version: iverilog-0.9.20110317-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-02 19:05:54 UTC


Attachments (Terms of Use)
File: backtrace (4.17 KB, text/plain)
2010-12-06 13:38 UTC, Robert Zhang
no flags Details

Description Robert Zhang 2010-12-06 13:38:35 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/ivl/ivl -C/tmp/ivrlh778909bd -C/usr/lib/ivl/vvp.conf -- -
component: iverilog
crash_function: verinum::verinum(verinum::V, unsigned int, bool)
executable: /usr/lib/ivl/ivl
kernel: 2.6.35.9-64.fc14.i686
package: iverilog-0.9.20100928-1.fc14
rating: 4
reason: Process /usr/lib/ivl/ivl was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1291642483
uid: 500

How to reproduce
-----
1. command line is : iverilog -grelative-include -I ../include -y ../lib -y ../lib/controller -y ../src  ddrctrl_tb.v -o ddrctrl_tb.exe
2. output is warning: verinum::as_long() truncated 32 bits to 31, returns 2147483647
warning: verinum::as_long() truncated 32 bits to 31, returns 2147483647
warning: verinum::as_long() truncated 32 bits to 31, returns 2147483647
sh: line 1: 12225 Done                    /usr/lib/ivl/ivlpp -L -F"/tmp/ivrlg23a75db7c" -f"/tmp/ivrlg3a75db7c" -p"/tmp/ivrli3a75db7c"
     12226 段错误               (core dumped) | /usr/lib/ivl/ivl -C"/tmp/ivrlh3a75db7c" -C"/usr/lib/ivl/vvp.conf" -- -
make: *** [ddrctrl_tb] 错误 139

Comment 1 Robert Zhang 2010-12-06 13:38:38 UTC
Created attachment 464983 [details]
File: backtrace

Comment 2 Fedora Update System 2011-05-28 10:12:15 UTC
iverilog-0.9.20110317-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iverilog-0.9.20110317-1.el5

Comment 3 Fedora Update System 2011-05-28 10:12:23 UTC
iverilog-0.9.20110317-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iverilog-0.9.20110317-1.fc15

Comment 4 Fedora Update System 2011-05-28 10:12:31 UTC
iverilog-0.9.20110317-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/iverilog-0.9.20110317-1.fc14

Comment 5 Fedora Update System 2011-05-28 10:12:39 UTC
iverilog-0.9.20110317-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iverilog-0.9.20110317-1.el6

Comment 6 Fedora Update System 2011-05-28 10:12:48 UTC
iverilog-0.9.20110317-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/iverilog-0.9.20110317-1.fc13

Comment 7 Fedora Update System 2011-05-28 21:32:54 UTC
Package iverilog-0.9.20110317-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iverilog-0.9.20110317-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/iverilog-0.9.20110317-1.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-06-02 19:05:48 UTC
iverilog-0.9.20110317-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-07 04:34:58 UTC
iverilog-0.9.20110317-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-07 04:39:42 UTC
iverilog-0.9.20110317-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-21 19:28:07 UTC
iverilog-0.9.20110317-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.